Skip to main content
POST
/
identity
/
sessions
/
{id}
/
documents
Upload document to session
curl --request POST \
  --url https://api.txcloud.io/v1/identity/sessions/{id}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "side": "front",
  "image": "aSDinaTvuI8gbWludGxpZnk="
}
'
{
  "id": "sess_a1b2c3d4e5f6",
  "object": "identity.session",
  "status": "pending",
  "document_type": "<string>",
  "country": "<string>",
  "documents": [
    {
      "side": "<string>",
      "uploaded": true,
      "quality_score": 123
    }
  ],
  "selfie_uploaded": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key as Bearer token

Path Parameters

id
string
required

Session ID

Body

application/json
side
enum<string>
required
Available options:
front,
back,
selfie
image
string<byte>
required

Response

200 - application/json

Document uploaded

id
string
Example:

"sess_a1b2c3d4e5f6"

object
enum<string>
Available options:
identity.session
status
enum<string>
Available options:
pending,
ready,
completed,
expired
document_type
string
country
string
documents
object[]
selfie_uploaded
boolean
expires_at
string<date-time>
created_at
string<date-time>